Bug 470071 - Unable to handle kernel NULL pointer dereference at virtual address 00000000 and mtdblockd error
Unable to handle kernel NULL pointer dereference at virtual address 00000000 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mtd-utils (Show other bugs)
8
other Linux
medium Severity high
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 11:19 EST by Meryl
Modified: 2009-01-09 01:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
capture file of flash target run-time output (39.00 KB, application/octet-stream)
2008-11-05 11:23 EST, Meryl
no flags Details
Capture file of RAM target run-time output (30.19 KB, application/octet-stream)
2008-11-05 11:24 EST, Meryl
no flags Details

  None (edit)
Description Meryl 2008-11-05 11:19:30 EST
Description of problem:

The main problem we are facing is that when we try to run from flash we are getting NULL pointer dereference and mtdblockd errors (see log attached).

Version-Release number of selected component (if applicable):

We are running Fedora 8 on a PC and compiling kernel and source code to run on target hardware - we are using stm2.2 kernel and toolchain stlinux 2.3.

How reproducible:

make kernel and file system and try download and run from flash.

Steps to Reproduce:
1. load u-boot to the flash of target hardware.
2. load kernel to flash
3. load target file system to flash
  
Actual results:

Run from flash gives errors (see flash.log attached)

For a RAM build, after box boots up, we try
cat /dev/mtdblock2 >t.img
but we get errors (see attached ram.log)

Expected results:

target file system running

Additional info:

Are there any reported errors with this version of the kernel and u-boot running from flash?
Comment 1 Meryl 2008-11-05 11:23:30 EST
Created attachment 322601 [details]
capture file of flash target run-time output
Comment 2 Meryl 2008-11-05 11:24:06 EST
Created attachment 322602 [details]
Capture file of RAM target run-time output
Comment 3 Bug Zapper 2008-11-26 06:17:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:48:48 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.